Xeonr Developer Docs
API SpecificationApps

ListAppVersions

POST
/containers.api.v1.AppService/ListAppVersions

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

appId?string
pageSize?integer
pageToken?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://containers.xeonr.io/containers.api.v1.AppService/ListAppVersions" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "versions": [
    {
      "versionId": "string",
      "appId": "string",
      "environmentId": "string",
      "port": 0,
      "workspace": {
        "snapshotId": "string",
        "mountPath": "string",
        "readOnly": true,
        "workspaceId": "string",
        "ephemeral": true,
        "ephemeralFromSnapshotId": "string"
      },
      "state": "APP_VERSION_STATE_UNSPECIFIED",
      "label": "string",
      "createdAtUnix": 0,
      "workspaces": [
        {
          "snapshotId": "string",
          "mountPath": "string",
          "readOnly": true,
          "workspaceId": "string",
          "ephemeral": true,
          "ephemeralFromSnapshotId": "string"
        }
      ],
      "workingDir": "string"
    }
  ],
  "nextPageToken": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}